.is-style-hover-outline .wp-block-button__link:hover,
.is-style-hover-outline .wp-block-button__link:focus {
	background-color: transparent;
	border-color: var(--wp--preset--color--six);
	color: var(--wp--preset--color--six);
}

.is-style-teal-dark .wp-block-button__link {
	background-color: var(--wp--preset--color--two);
	border-color: var(--wp--preset--color--two);
	color: var(--wp--preset--color--six);
}

.is-style-teal-dark .wp-block-button__link:hover,
.is-style-teal-dark .wp-block-button__link:focus {
	background-color: var(--wp--preset--color--six);
	border-color: var(--wp--preset--color--two);
	color: var(--wp--preset--color--two);
}

.is-style-teal-hover-outline .wp-block-button__link {
	background-color: var(--wp--preset--color--two);
	border-color: var(--wp--preset--color--two);
	color: var(--wp--preset--color--six);
}

.is-style-teal-hover-outline .wp-block-button__link:hover,
.is-style-teal-hover-outline .wp-block-button__link:focus {
	background-color: transparent;
	border-color: var(--wp--preset--color--two);
	color: var(--wp--preset--color--two);
}

.is-style-text-link .wp-block-button__link {
	background: transparent;
	border: none;
	border-radius: 0;
	color: var(--wp--preset--color--two);
	font-size: var(--wp--preset--font-size--paragraph-1);
	font-family: var(--wp--preset--font-family--two);
	font-size: 16px;
	font-weight: 700;
	padding: 0;
	min-width: auto;
}

.is-style-text-link .wp-block-button__link:after {
	content: '';
	display: inline-block;
	background: url(../images/icon-link.svg) no-repeat center var(--wp--preset--color--two);
	border: 1px solid var(--wp--preset--color--two);
	width: 21px;
	height: 21px;
	color: var(--wp--preset--font-family--two);
	margin-left: 8px;
	vertical-align: top;
}

.is-style-text-link .wp-block-button__link:hover:after {
	background: url(../images/icon-link2.svg) no-repeat center var(--wp--preset--color--six);
	border: 1px solid var(--wp--preset--color--six);
}

.has-one-color .is-style-text-link .wp-block-button__link {
	color: var(--wp--preset--color--six);
}

.has-one-color .is-style-text-link .wp-block-button__link:after {
	background: url(../images/icon-link2.svg) no-repeat center var(--wp--preset--color--six);
	border: 1px solid var(--wp--preset--color--six);
}

.has-one-color .is-style-text-link .wp-block-button__link:hover:after {
	background: url(../images/icon-link.svg) no-repeat center transparent;
	border: 1px solid var(--wp--preset--color--six);
}


